# Mijn server
Deze repo is een uitleg van mijn thuis server setup.

# Mijn netwerk overzicht:
<img src="https://test.lermer.nl/afb/Netwerk.svg">
<br>

# Handige Links:
- Op Debian gebaseerd besturingssysteem: https://www.openmediavault.org/
- Hier heb ik mijn meeste docker containers vandaan: https://fleet.linuxserver.io/<br /> 
- Huidige status van mijn server: http://uptime.lermer.nl/<br /> 
- Om docker containers om te zetten naar docker-compose: https://www.composerize.com/

# Handig:
external ip check: ```curl ipinfo.io```

# Docker tips:

- Alle containers weergeven: ```docker ps -a```<br /> 
- container stoppen```docker container stop xx```<br /> 
- container verwijderen```docker container rm xx```<br /> 

### Opschonen:
- ```docker system prune -a``` <br /> 
- ```docker network prune``` <br />

### Bash:
```docker exec -it xxxx bash```<br />

## Docker-compose:
- stoppen:     ```docker-compose stop```<br />
- Downloaden:   ```docker-compose pull```<br />
- Build Normaal:   ```docker-compose up -d```<br />
- Build Lokaal:    ```docker-compose build --pull```<br />